# Uses of Enum Class
org.opensaml.xacml.policy.EffectType

Packages that use EffectType
Package
Description
org.opensaml.xacml.policy
XMLObject interfaces for XACML policy schema.
org.opensaml.xacml.policy.impl
XMLObject provider implementation classes for XACML policy schema.

## Uses of EffectType in org.opensaml.xacml.policy

Methods in org.opensaml.xacml.policy that return EffectType
Modifier and Type
Method
Description
`EffectType`
RuleType.`getEffect()`
Gets the effect of the rule.
`EffectType`
ObligationType.`getFulfillOn()`
Gets the fulfill on effect.
`static EffectType`
EffectType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static EffectType[]`
EffectType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.opensaml.xacml.policy with parameters of type EffectType
Modifier and Type
Method
Description
`void`
RuleType.`setEffect(EffectType type)`
Sets the effect of the rule.
`void`
ObligationType.`setFulfillOn(EffectType type)`
Sets fulfill on effect.

## Uses of EffectType in org.opensaml.xacml.policy.impl

Fields in org.opensaml.xacml.policy.impl declared as EffectType
Modifier and Type
Field
Description
`private EffectType`
RuleTypeImpl.`effectType`
Effect type of the rule.
`private EffectType`
ObligationTypeImpl.`fulFillOn`
The attribute fulfillOn.
Methods in org.opensaml.xacml.policy.impl that return EffectType
Modifier and Type
Method
Description
`EffectType`
RuleTypeImpl.`getEffect()`
Gets the effect of the rule.
`EffectType`
ObligationTypeImpl.`getFulfillOn()`
Gets the fulfill on effect.
Methods in org.opensaml.xacml.policy.impl with parameters of type EffectType
Modifier and Type
Method
Description
`void`
RuleTypeImpl.`setEffect(EffectType type)`
Sets the effect of the rule.
`void`
ObligationTypeImpl.`setFulfillOn(EffectType newFulfillOn)`
Sets fulfill on effect.